#!/usr/bin/perl
#
# FreeDNS Dynamic Updater v0.3
#

use WWW::Mechanize;

my $username = "user";
my $password = "pass";

# Leave empty if updating a free subdomain
my $domain = "";

# Change this to your subdomain
my $subdomain = "test.freedns.ro";



######################################################################################################################

my $browser = WWW::Mechanize->new(agent => "FreeDNS V|0.3|L", quiet => 1, onerror => \&browser_error);

$browser->get('http://www.freedns.ro/update.php');

if ($browser->success()) {
    $browser->submit_form(
	form_name => "dynamic",
    	    fields      => {
		username => "$username",
		password => "$password",
		domain => "$domain",
		subdomain => "$subdomain",
		ipaddr => $browser->value( ipaddr )
    	    },
    	    button => 'change'
    );

    print $browser->content();
    
} else {
    print "Error connecting to server\n";
}

sub browser_error() {
    print "err\n";
}
